#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 DodgerBlue

double UpArrowBuffer[];
double DownArrowBuffer[];

///////////Arrows
extern int   ArrowSize    = 1;
extern int   Offset       = 100;
extern color UpColor      = Red;
extern color DnColor      = DodgerBlue;
extern int   myWingDing1  = 233 ;
extern int   myWingDing2  = 234 ;
extern int   LookBack     = 5;

double Poin;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()  {

//---- indicator buffers mapping
    SetIndexBuffer(0,UpArrowBuffer);
    SetIndexBuffer(1,DownArrowBuffer);  
    
//---- drawing settings
    SetIndexStyle(0,DRAW_ARROW,0,ArrowSize, UpColor);
    SetIndexArrow(0,myWingDing1);
    SetIndexStyle(1,DRAW_ARROW,0,ArrowSize, DnColor);
    SetIndexArrow(1,myWingDing2); 

	Poin = Point;
   if ((Point == 0.00001) || (Point == 0.001)) Poin *= 10;
    
   return(0);
}
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()   {
//----
   
//----
return(0);
}
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start() {
   int limit;
   int counted_bars=IndicatorCounted();
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;

   for(int i=limit; i>=0; i--)
   {     
      UpArrowBuffer[i]   = EMPTY_VALUE;
      DownArrowBuffer[i] = EMPTY_VALUE;

         //
         //
         //
         //
         //
         
         bool validUp   = false;
         bool validDown = false;
         for (int k=1; k<LookBack && i+k<Bars; k++)
         {
            if (UpArrowBuffer[i+k]   != EMPTY_VALUE) validUp   = true;
            if (DownArrowBuffer[i+k] != EMPTY_VALUE) validDown = true;
         }
      
         //
         //
         //
         //
         //
         
         if (!validUp && Close[i+2] < Open[i+2] && Close[i+1] > Open[i+1])
           {
                  UpArrowBuffer[i] = Low[i] - Offset*Point;
           }
                                   
          if (!validDown && Close[i+2] > Open[i+2] && Close[i+1] < Open[i+1])
           {
                  DownArrowBuffer[i] = High[i] + Offset*Point;
           } 
   }
return(0);
}
//+------------------------------------------------------------------+*/